import { FileSystem, ProxiableModule } from './types';
export default class TypeCache {
    private fsLib;
    private cacheFile;
    private values;
    private changed;
    constructor(fsLib: FileSystem, cacheFile: string, values?: {
        [key: string]: string;
    });
    load(): boolean;
    save(): boolean;
    reset(): boolean;
    hasChanged(): boolean;
    hasType(filename: string): boolean;
    hasProxiableType(filename: string): boolean;
    getType(filename: string): string;
    getTargetForProxiableType(filename: string): ProxiableModule;
    setType(filename: string, moduleType: string): boolean;
    clearType(filename: string): boolean;
}
