/// <reference types="node" />
/// <reference types="node" />
import * as cp from 'child_process';
import { flags, SfdxCommand } from '@salesforce/command';
export declare type RunResult = {
    message: string;
    jestExitCode: number;
};
export default class Run extends SfdxCommand {
    static description: string;
    static longDescription: string;
    static examples: string[];
    static args: {
        name: string;
    }[];
    protected static requiresProject: boolean;
    protected static flagsConfig: {
        debug: flags.Discriminated<flags.Boolean<boolean>>;
        watch: flags.Discriminated<flags.Boolean<boolean>>;
    };
    run(): Promise<RunResult>;
    runJest(args: string[]): cp.SpawnSyncReturns<Buffer>;
    private getExecutablePath;
}
